Skip to main content
GET
/
api
/
staff
Get all staff members
curl --request GET \
  --url https://your-production-domain.com/api/staff \
  --cookie connect.sid=
[
  {
    "id": 123,
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "specialty": "<string>",
    "hourlyRate": 123,
    "yearsExperience": 123,
    "certifications": [
      "<string>"
    ],
    "skills": [
      "<string>"
    ],
    "isActive": true,
    "profilePhoto": "<string>",
    "emergencyContact": {
      "name": "<string>",
      "phone": "<string>",
      "relationship": "<string>"
    },
    "workHistory": [
      {
        "facility": "<string>",
        "position": "<string>",
        "startDate": "2023-12-25",
        "endDate": "2023-12-25",
        "description": "<string>"
      }
    ],
    "education": [
      {
        "institution": "<string>",
        "degree": "<string>",
        "graduationYear": 123,
        "gpa": 123
      }
    ]
  }
]

Authorizations

connect.sid
string
cookie
required

Session-based authentication cookie

Query Parameters

facilityId
integer

Filter by facility ID

specialty
string

Filter by specialty

isActive
boolean

Filter by active status

Search by name or email

Response

200 - application/json

List of staff members

id
integer

Unique staff identifier

firstName
string

First name

lastName
string

Last name

email
string<email>

Email address

phone
string | null

Phone number

specialty
string | null

Medical specialty (e.g., RN, LPN, CNA)

employmentType
enum<string> | null

Type of employment

Available options:
full_time,
part_time,
contract,
per_diem
hourlyRate
number<decimal> | null

Hourly pay rate

yearsExperience
integer | null

Years of experience

certifications
string[]

Professional certifications

skills
string[]

Skills and competencies

isActive
boolean

Whether the staff member is active

profilePhoto
string | null

URL to profile photo

emergencyContact
object
workHistory
object[]
education
object[]